Name:		patcher
Version:	0.7
Release:	%mkrel 11
License:	GPLv2+
Group:		Development/Other
Summary:	Quick creation of patches against a project source tree
Url:		https://github.com/solbu/patcher
Source0:	https://github.com/solbu/patcher/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Port-to-python3.patch
BuildArch:	noarch
BuildRequires:	python3-devel

%description
Patcher is a tool for quick creation of patches against a project source tree.
Patcher functionality resembles a lightweight version control system. It has no
repository, and only controls differences between a pristine version and a
working copy.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

install -D ptr.1 %{buildroot}/%{_mandir}/man1/ptr.1

%files -f %{pyproject_files}
%doc README
%license LICENSE
%{_bindir}/ptr
%{_mandir}/man1/ptr.1*



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7-11.mga10
+ Revision: 2243250
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 papoteur <papoteur> 0.7-10.mga10
+ Revision: 2161590
- rebuild for python3.13

* Tue Jan 02 2024 daviddavid <daviddavid> 0.7-9.mga10
+ Revision: 2026101
- rebuild for py3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.7-8.mga9
+ Revision: 1816161
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.7-7.mga9
+ Revision: 1774301
- Rebuild for python 3.10

* Sat Mar 20 2021 neoclust <neoclust> 0.7-6.mga9
+ Revision: 1705925
- Rebuild against python 3.9

* Wed Mar 25 2020 danf <danf> 0.7-5.mga8
+ Revision: 1559587
- Fix a Python 3 issue when dealing with binary files.

* Tue Feb 18 2020 umeabot <umeabot> 0.7-4.mga8
+ Revision: 1541564
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 wally <wally> 0.7-3.mga8
+ Revision: 1474759
- switch to python3

* Sun Sep 23 2018 umeabot <umeabot> 0.7-2.mga7
+ Revision: 1300121
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 solbu <solbu> 0.7-1.mga7
+ Revision: 1197465
- New release: 0.7
- Clean spec
- New upstream URL
- Drop Patch0: Merged upstream

* Tue Feb 02 2016 umeabot <umeabot> 0.6-20.mga6
+ Revision: 931688
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-19.mga5
+ Revision: 743096
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-18.mga5
+ Revision: 727533
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-17.mga5
+ Revision: 683352
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-15.mga4
+ Revision: 542842
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6-14.mga4
+ Revision: 498030
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6-13.mga3
+ Revision: 362453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 mikala <mikala> 0.6-12.mga1
+ Revision: 52767
- Remove buildroot
+ kharec <kharec>
- imported package patcher


* Sun Oct 31 2010 Rémy Clouard <shikamaru@mandriva.org> 0.6-12mdv2011.0
+ Revision: 590913
- rebuild for new python

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.6-11mdv2011.0
+ Revision: 590167
- rebuild for python 2.7

  + Sandro Cazzaniga <kharec@mandriva.org>
    - Fix the last rpmlint warning
    - Clean spec file

* Fri Feb 05 2010 Michael Scherer <misc@mandriva.org> 0.6-9mdv2010.1
+ Revision: 501057
- add a URL for Source0
- fix License
- clean useless Requires ( as python-base and python were merged )
- fix rpmlint warning
- fix License
- fix compilation on 64 bits arch

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.6-8mdv2010.0
+ Revision: 440496
- rebuild

* Mon Jan 12 2009 Michael Scherer <misc@mandriva.org> 0.6-7mdv2009.1
+ Revision: 328795
- add patch to silence warning about md5 and python 2.6

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.6-6mdv2009.1
+ Revision: 318444
- fix build on x86_64
- rebuild for new python
- rebuild for new python

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.6-5mdv2009.0
+ Revision: 255047
- rebuild
- more standard summary

* Mon Feb 18 2008 Michael Scherer <misc@mandriva.org> 0.6-3mdv2008.1
+ Revision: 172126
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Wed Nov 29 2006 Michael Scherer <misc@mandriva.org> 0.6-2mdv2007.0
+ Revision: 88392
- update for new python

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdv2007.0
+ Revision: 54268
- sync sources
- 0.6
- update url
- Import patcher

